
Jupiter - Zadanie #1865
Dodanie informacji/znacznika aktualnie edytowanego zasobu
2017-11-17 11:54 - Jarosław Bąbel

Status: Rozwiązany Start date: 2017-11-17
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: web Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Tester: Jarosław Bąbel
Description

W drzewie nie jest zaznaczony zasób, który jest otwarty w edytorze.

Otwieramy edycję np. numeru, klikamy na inny zasób w drzewie bez wchodzenia w edycję, belka wiersza w drzewie idzie na nowo
wybrany zasób i już nie widać jaki element jest otwarty w edytorze.

Przydała by się jakaś kropka przy zasobie ostatnio otwartym w edytorze.

Associated revisions
Revision 2c85e99e - 2017-11-23 12:13 - Michał Komar

refs #1865: Poprawienie ancestor helpera -> uwzględnienie Database w hie

Revision 83ce8753 - 2017-11-29 16:18 - Michał Komar

refs #1865: Odpowiednie zaznaczanie edytowanego elementu

Revision fc58bd6f - 2017-12-05 11:58 - Michał Komar

refs #1865: Rozwijanie drzewa - nie jest rozwijane, gdy rozwinięte

Revision 249a06cd - 2017-12-13 15:44 - Michał Komar

refs #1865: Zmiana nazw eventów w bibliotece tree

History
#1 - 2017-11-21 13:12 - Michał Komar
- Status changed from Nowy to Testowanie
- % Done changed from 0 to 100
- Developer Michał Komar added
- Tester Jarosław Bąbel added

Zrobiłem.
Ustwiany jest kolor 'accent' na edytowanym nodzie.
#2 - 2017-11-21 13:12 - Michał Komar
- Assignee changed from Michał Komar to Jarosław Bąbel

#3 - 2017-11-27 14:29 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Michał Komar

Podobne rozwiązanie przydało by się przy dodawaniu nowego zasobu.

    1. Wybieramy dodaj np. artykuł do Y
    2. W tym momencie element, do którego dodajemy potomka jest oznaczony zieloną belką
    3. Klikamy gdzieś indziej w drzewie i nie widać do czego chcieliśmy dodać nowy element

#4 - 2017-11-27 14:35 - Jarosław Bąbel

Zaznaczenie edytowanego elementu znika po kliknięciu odśwież w nadrzędnym elemencie.

#5 - 2017-11-29 16:18 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Jarosław Bąbel

Poprawione.

#6 - 2017-12-05 10:22 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Michał Komar

    -  Zaznaczenie w drzewie edytowanego elementu kolorem "accent" znika po kliknięciu odśwież na elemencie nadrzędnym.
        1. wybierz artykuł
        2. kliknij ołówek
        3. pojawia się belka "accent" na artykule
        4. kliknij odśwież na numerze, do którego należy artykuł (na bezpośrednim rodzicu)
        5. nadal jesteśmy w edycji artykułu, ale kolor "accent" znika

    -  Może to jest niepotrzebne na tą wersję?
Przydało by się oznaczenie w drzewie elementu, do którego DODAJEMY NOWY węzeł. Np. belka innego koloru niż "accent". Teraz po wejściu w

"dodaj", rodzic ma zieloną belkę, gdy przeniesiemy belkę klikając na inny węzeł, to nie wiemy już do jakiego węzła chcieliśmy dodać, to co jest otwarte
w edytorze.

#7 - 2017-12-05 14:46 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Jarosław Bąbel

Błąd nr 1 spowodowany był podbiciem wersji biliboteki - poprawiłem.
Jeżeli chodzi o nr 2, to możesz dodać nowe zadanie na wersję 0.4 i mi przypisać.
#8 - 2017-12-12 10:49 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Michał Komar

U mnie problem ze znikaniem zaznaczenie po odśwież nadal występuje (w FF i Chrome).
Jaką bibliotekę podbiłeś? Może coś u mnie nie jest zaktualizowane.

#9 - 2017-12-13 15:44 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Jarosław Bąbel

Znowu się w bibliotece coś zmieniło (nazwy eventów). Teraz działa.

#10 - 2017-12-14 14:26 - Jarosław Bąbel
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Jarosław Bąbel to Michał Komar

Git test revision: c2a2c43
